import * as $dara from '@darabonba/typescript';
export declare class CreateHaVipResponseBody extends $dara.Model {
    /**
     * @remarks
     * The ID of the HaVip.
     *
     * @example
     * havip-2zeo05qre24nhrqpy****
     */
    haVipId?: string;
    /**
     * @remarks
     * The IP address of the HaVip.
     *
     * @example
     * 192.XX.XX.10
     */
    ipAddress?: string;
    /**
     * @remarks
     * The ID of the request.
     *
     * @example
     * C44F62BE-9CE7-4277-B117-69243F3988BF
     */
    requestId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
